﻿using Microsoft.AspNetCore.Mvc;
using Microsoft.Extensions.Options;

namespace WebApiConfigReloadOnChange.Controllers
{
    [ApiController]
    [Route("[controller]")]
    public class WeatherForecastController : ControllerBase
    {
        private readonly WeatherOptions _weatherOptions;
        private readonly ISomeService _someService;
        public WeatherForecastController(IOptionsMonitor<WeatherOptions> weatherOptions, ISomeService someService)
        {
            _someService = someService;
            _weatherOptions = weatherOptions.CurrentValue;
        }

        [HttpGet]
        public ActionResult Get()
        {
            _someService.DoSomething("Controller - ");
            return Ok(_weatherOptions);
        }
    }
}
